using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takprog
{
    internal class Program
    {
        static int PrebrojCifre(int x)
        {
            int b = 0;
            while(x != 0)
            {
                b++;
                x /= 10;
            }
            return b;
        }

        static int DvaBrojaUJedan(int x, int y)
        {
            string s1 = x.ToString();
            string s2 = y.ToString();

            string s = s1 + s2;

            int z = int.Parse(s);

            return z;
        }
        
        static void Razmena(ref int n, ref int m)
        {
            int p = n;
            n = m;
            m = p;
        }
        static void Main(string[] args)
        {
            // jednak broj cifara
            int n = int.Parse(Console.ReadLine());
            int m = int.Parse(Console.ReadLine());

            if (n < m)
                Razmena(ref n, ref m);

            int nDuzina = PrebrojCifre(n);
            int mDuzina = PrebrojCifre(m);

            int[] broj = new int[nDuzina + mDuzina];

            int maxCifra = 0;
            for (int i = nDuzina - 1; i >= 0; i--)
            {
                maxCifra = Math.Max(n % 10, m % 10);

                if (n % 10 != m % 10)
                    broj[i] = maxCifra;
                else 
                    broj[i] = DvaBrojaUJedan(n%10, m%10);


                n /= 10;
                m /= 10;
            }

            for (int i = 0; i < nDuzina; i++)
            {
                Console.Write(broj[i]);
            }
        }
    }
}